//****************************************************************************************
// COD2 - Health control settings
//****************************************************************************************
// Server / Client side modification for Call of Duty 2 multiplayer
// Updated : 06 October by Wildcard
// Email   : wildcard@wildcardsonline.nl
// Support WebSite: http://www.wildcardonline.nl
// This config  file controls the WW2X 1.8c health settings
//*******************************************************************************

//***************************************************************************************************
// Call of Duty Health System
//***************************************************************************************************
// show COD healthbar
// 0 = disable (default),
// 1 = enabled with or without (depending on healthregen settings below) COD2 health regen system!
set wwx_healthbar "1"

// when a player is killed, make them drop a health pack (first aid kit) ?
// 0 = disable, 1 = enable, default = 0
set wwx_drophealth "1"

// Call of Duty 2 health regen system (part 1)
// health regen delay time
// min = 0, max = 99999, default = 5000 (5 seconds)
set scr_regendelay "5000"

// Call of Duty 2 health regen system (part 2)
// 3 options, 0 = totally off, 1 = stock cod2 flawed model (example: delay is set to 5000....after 5 seconds boom..full health (default)
// 2 = graduate (example: delay is set to 5 seconds....after 5 seconds it takes time to regain full health
// 3 = graduate no full health (example: delay is set to 5 secs, after 5 secs it will start to give you graduatly your health back
// but not to 100%, so if you get shot a couple of times you will loose some health everytime)...painsounds and effects enabled.
set scr_healthregen "3" 

//**************************************************************************************************************
// Firstaid system
//**************************************************************************************************************
// choose your option for the firstaid system
// 0 = MEDIC system totaly OFF (default)
// 1 = Medic system ON with auto callouts
// 2 = Medic system ON WITHOUT auto callouts ( you must request a medic )
set wwx_callformedic "0"

// show injured players
// 0 = disable, 1 = enable, default = 0
set wwx_showinjp "1"

// if showing injured players, flash icon on compass to show injured player (ping) in seconds
// min = 3, max 60, default = 3
//set wwx_showinjptime "3"

// if using auto callout, set the level of health the call will be made
// min = 0, max = 100, default = 80
set wwx_medicall "40"

// set the ammount of first aid kits issued (rank system overrides this!)
// min = 0, max = 9, default = 0
set wwx_firstaidkits "3"

// randomize number of first aid kits?
// 0 = disabled, 1 = enabled, default = 0
//set wwx_firstaid_random "1"

// minimum heal in health points
// min = 0, max = 99, default = 40
set wwx_minheal "50"

// maximum heal in health points (set higher then mininum!)
// min = minimum health points, max = 100, default = minimum health points + 1
set wwx_maxheal "100"

// healing ability is lost for causing damage to team mates, in seconds
// 0 = disable, max = 60, default = 30
set wwx_revokeonth "10"

// player can heal themself
// 0 = disabled, 1 = enabled, default = 0
set wwx_medicself "1"

// if the players health if 100%, allow dropped firstaid kits to be picked up and
// added to the players medi kits, you can set the threshold for from 1 - 9 kits,
// i.e. if this is set to 5, if the player has 6 medi kits, it won't add another unless
// the number of kits he has falls to 4....this option requires drop health to be enabled!
// 0 = disable, max = 9, default = 0
//set wwx_firstaidpickup "6"

// firstaid system messages
// 0 = left, above compass (default)
// 1 = centre screen
// 2 = scroll text area centre top -- adds to gamestate!
//set wwx_firstaidmsg "0"

// message informing health packs left
//  0 = disable, 1 = enable (centre screen)
set wwx_firstaidkitmsg "1"

//***************************************************************************************************
// Bleeding
//***************************************************************************************************
// when a player is hurt, you can make them bleed, possibly to death!
//	0 = disable, 1 = enabled, default = 0
set wwx_bleeding "0"

// start bleeding when health falls to and below?
// min = 1, max = 99, default = 80
set wwx_startbleed "50"

// how much health can the player bleed through?
// 0 = disable, max = 100, default = 100
set wwx_maxbleed "100"

// bleeding pain sounds
// 0 = disabled (default)
// 1 = Play sound so ALL can hear
// 2 = Play sound so ONLY the bleeding player can hear
set wwx_bleedsound "2"

// bleed message on screen
// 0 = left, above compass (default)
// 1 = centre screen
//set wwx_bleedmsg "0"
